Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/R: new aport

From: nirosan <pnirosan_at_gmail.com>
Date: Tue, 19 Apr 2016 17:34:04 +0800

https://www.r-project.org/
Alpine package of R Project for Statistical Computing
---
 testing/R/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 testing/R/R        |  1 +
 testing/R/Rscript  |  1 +
 3 files changed, 48 insertions(+)
 create mode 100644 testing/R/APKBUILD
 create mode 120000 testing/R/R
 create mode 120000 testing/R/Rscript
diff --git a/testing/R/APKBUILD b/testing/R/APKBUILD
new file mode 100644
index 0000000..dfb21d8
--- /dev/null
+++ b/testing/R/APKBUILD
_at_@ -0,0 +1,46 @@
+# Contributor: Nirosan <pnirosan_at_gmail.com>
+# Maintainer:
+pkgname=R
+pkgver=3.2.4
+pkgrel=0
+pkgdesc="R-3.2.4 project for Statistical Computing"
+url="https://www.r-project.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://cran.r-project.org/src/base/R-3/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--with-x=no \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir" || return 1
+        cp -ra "$_builddir"/* "$pkgdir"/ || return 1
+	ln -s "$pkgdir"/bin/R R
+	ln -s "$pkgdir"/bin/Rscript Rscript
+}
+
+md5sums="5953104583ed93dc2085a6c80e884e4a  R-3.2.4.tar.gz"
+sha256sums="bafd405fe9c2fe3bbe47a8a7730ad120f03b7df9fb0f61674fca19cf061dd350  R-3.2.4.tar.gz"
+sha512sums="a74f01a9b47437feb81520c10936a6f2bc7700900730ec87b7f1442ee90bcf1d7aac9ef3345aa046c0566f1920f114da0a616c5f355b1e8480dc01e311476cbf  R-3.2.4.tar.gz"
diff --git a/testing/R/R b/testing/R/R
new file mode 120000
index 0000000..ef8a27f
--- /dev/null
+++ b/testing/R/R
_at_@ -0,0 +1 @@
+/home/niro/aports/testing/R/pkg/R/bin/R
\ No newline at end of file
diff --git a/testing/R/Rscript b/testing/R/Rscript
new file mode 120000
index 0000000..89d0f6f
--- /dev/null
+++ b/testing/R/Rscript
_at_@ -0,0 +1 @@
+/home/niro/aports/testing/R/pkg/R/bin/Rscript
\ No newline at end of file
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Apr 19 2016 - 17:34:04 GMT